Buddy List Signals

Signals:

- buddy-status-changed
- buddy-idle-changed
- buddy-signed-on
- buddy-signed-off
- update-idle
- blist-node-extended-menu
- buddy-added
- buddy-removed
- buddy-icon-changed
- blist-node-aliased
- buddy-caps-changed
- ui-caps-changed

See also
  blist.h

# buddy-status-changed

void (*buddy_away)(PurpleBuddy *buddy, PurpleStatus *old_status, PurpleStatus *status);

Description:
  Emitted when a buddy on your buddy list goes away.

Parameters

  buddy | The buddy whose status changed.
  old_status | The status that the buddy just changed from.
  status | The status that the buddy just changed to.

# buddy-idle-changed

void (*buddy_idle)(PurpleBuddy *buddy, gboolean old_idle, gboolean idle);

Description:
  Emitted when a buddy on your buddy list becomes idle.

Parameters

  buddy | The buddy whose idle status changed.
  old_idle | Whether the buddy was idle.
  idle | Whether the buddy is currently idle.

# buddy-signed-on

void (*buddy_signed_on)(PurpleBuddy *buddy);

Description:
  Emitted when a buddy on your buddy list signs on.

Parameters

  buddy | The buddy that signed on.

# buddy-signed-off

void (*buddy_signed_off)(PurpleBuddy *buddy);

Description:
  Emitted when a buddy on your buddy list signs off.

Parameters

  buddy | The buddy that signed off.

# update-idle

void (*update_idle)();

Description:
  Emitted when the buddy list is refreshed and the idle times are updated.

# blist-node-extended-menu

void (*blist_node_extended_menu)(PurpleBlistNode *node, GList **menu)

Description:
  Emitted when a buddlist menu is being constructed menu is a pointer to a GList of PurpleBlistNodeAction's allowing a plugin to add menu items

# blist-node-added

void (*blist_node_added)(PurpleBlistNode *node)

Description:
  Emitted when a new blist node is added to the buddy list.

# blist-node-removed

void (*blist_node_removed)(PurpleBlistNode *node)

Description:
  Emitted when a blist node is removed from the buddy list.

# buddy-added

void (*buddy_added)(PurpleBuddy *buddy)

Description:
  Emitted when a new buddy is added to the buddy list.

Deprecated:
  Use blist-node-added instead.

# buddy-removed

void (*buddy_removed)(PurpleBuddy *buddy)

Description:
  Emitted when a buddy is removed from the buddy list.

Deprecated:
  Use blist-node-removed instead.

# buddy-icon-changed

void (*buddy_icon_changed)(PurpleBuddy *buddy)

Description:
  Emitted when a buddy's icon is set.

# blist-node-aliased

void (*blist_node_aliased)(PurpleBlistNode *node, const char *old_alias)

Description:
  Emitted when a blist node (buddy, chat, or contact) is aliased.

# buddy-caps-changed

void (*buddy_caps_changed)(PurpleBuddy *buddy, PurpleMediaCaps newcaps,
PurpleMediaCaps oldcaps)

Description:
  Emitted when updating a buddy's media capabilities.

Parameters

  buddy | The buddy
  newcaps |
  oldcaps |

Since
  2.7.0

# ui-caps-changed

void (*ui_caps_changed)(PurpleMediaCaps newcaps, PurpleMediaCaps oldcaps)

Description:
  Emitted when updating the media capabilities of the UI.

Parameters

  newcaps |
  oldcaps |

Since
  2.7.0